#include "config.h"
#include "error.h"

#include <stdio.h>
#include <stdarg.h>
#include <string.h>

bool okv(int err, ...) {
	va_list ap;
	char *s;

	if(!err)
		return true;

	va_start(ap, err);
	for(s = strdupa("dbfs"); s; s = va_arg(ap, char *))
		fprintf(stderr, "%s: ", s);
	va_end(ap);
	fprintf(stderr, "%s\n", strerror(err));
	fflush(stderr);

	return false;
}
